Bug 998523 - RHEVM slow due to stored procedure getdisksvmguid() consuming most CPU
RHEVM slow due to stored procedure getdisksvmguid() consuming most CPU
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.3
Unspecified Unspecified
urgent Severity high
: ---
: 3.2.3
Assigned To: Eli Mesika
Barak Dagan
infra
: ZStream
Depends On: 971237
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 09:28 EDT by Chris Pelland
Modified: 2016-02-10 14:21 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The getdisksvmguid call was run frequently, resulting in a high CPU usage which slowed down PostgreSQL processes and impacted performance on the user portal. The getdisksvmguid call now loads only relevant disk data in the user portal, so performance is improved.
Story Points: ---
Clone Of: 971237
Environment:
Last Closed: 2013-09-10 15:07:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 16657 None None None Never
oVirt gerrit 18268 None None None Never

  None (edit)
Comment 2 Barak Dagan 2013-09-10 09:48:37 EDT
following https://bugzilla.redhat.com/show_bug.cgi?id=986700#c3, verified using is13

1. create 10 VMs with 3 disks each.
2. add different users with "view VM" permissions to the VMs
3. opened 9 UserPortals browsers with different users
4. check that all disks appear for all vms
5. from webadmin, remove 2 out of 3 disks (for 3 VMs, one after another)
6, return to the UserPortal and check nothing updated.
7, switch between VM's tabs or wait for 10 seconds - check that disks list is updated.
Comment 4 errata-xmlrpc 2013-09-10 15:07:36 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1210.html
Comment 5 Barak Dagan 2013-09-22 11:00:34 EDT
(In reply to Barak Dagan from comment #2)
> following https://bugzilla.redhat.com/show_bug.cgi?id=986700#c3, verified
> using is13 -> correction: SF20.1
> 
> 1. create 10 VMs with 3 disks each.
> 2. add different users with "view VM" permissions to the VMs
> 3. opened 9 UserPortals browsers with different users
> 4. check that all disks appear for all vms
> 5. from webadmin, remove 2 out of 3 disks (for 3 VMs, one after another)
> 6, return to the UserPortal and check nothing updated.
> 7, switch between VM's tabs or wait for 10 seconds - check that disks list
> is updated.

Note You need to log in before you can comment on or make changes to this bug.